gr::mapper::preamble_strip Class Reference

<+description of block+> More...

`#include <preamble_strip.h>`

Inheritance diagram for gr::mapper::preamble_strip:
[legend]

## Public Types

typedef boost::shared_ptr< preamble_strip > | sptr

## Static Public Member Functions

static sptr | make (int user_len, const std::vector< uint8_t > &preamble)
| Return a shared_ptr to a new instance of mapper::preamble_strip.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<preamble_strip> gr::mapper::preamble_strip::sptr

## Member Function Documentation

## make()

static sptr gr::mapper::preamble_strip::make | ( | int | user_len,
|  | const std::vector< uint8_t > & | preamble
| ) |  |

static

Return a shared_ptr to a new instance of mapper::preamble_strip.

To avoid accidental use of raw pointers, mapper::preamble_strip's constructor is in a private implementation class. mapper::preamble_strip::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- preamble_strip.h